Bug 6860 - [UPDATE REQUEST] deadbeef 0.7.0 -> 0.7.1
: [UPDATE REQUEST] deadbeef 0.7.0 -> 0.7.1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-17 20:05 MSK by Andrey Bondrov
Modified: 2016-03-30 15:52 MSD (History)
3 users (show)

See Also:
RPM Package: deadbeef
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (47.57 KB, image/png)
2016-03-18 04:40 MSK, Vladimir Potapov
Details
Отредактированное приложение (81.77 KB, image/png)
2016-03-18 12:22 MSK, VictorR2007
Details
Дополненный файл (19.18 KB, application/gzip)
2016-03-18 17:45 MSK, VictorR2007
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-03-17 20:05:51 MSK
New version of DeadBeef was released.
Comment 2 Vladimir Potapov 2016-03-18 04:40:27 MSK
Created attachment 4419 [details]
ss

Localization issue present
Comment 3 VictorR2007 2016-03-18 12:22:51 MSK
Created attachment 4420 [details]
Отредактированное приложение

Получается сделать только так.
А вот сделать перевод для "Skip to" не получается.
Если так устроит, сделаю патч.
Но я ещё повожусь с исходниками.
Вдруг получится.
Но это не сегодня.
Comment 4 Andrey Bondrov 2016-03-18 14:57:26 MSK
(In reply to comment #3)
> Получается сделать только так.
> А вот сделать перевод для "Skip to" не получается.
> Если так устроит, сделаю патч.
> Но я ещё повожусь с исходниками.
> Вдруг получится.
> Но это не сегодня.

Подождём тогда.
Comment 5 VictorR2007 2016-03-18 16:06:11 MSK
(In reply to comment #4)
> (In reply to comment #3)
> > Получается сделать только так.
> > А вот сделать перевод для "Skip to" не получается.
> > Если так устроит, сделаю патч.
> > Но я ещё повожусь с исходниками.
> > Вдруг получится.
> > Но это не сегодня.
> 
> Подождём тогда.

Подозреваю, что не получится.
Мне сложно с такими приложениями.
С приложениями для KDE немного проще.
Просто в коде нет этих строк вообще.
Только для комбинаций клавиш.
Посмотрю старые версии программы.
Версия 6 ничего не подсказала.
И мозги сейчас не очень работают.
Вчера прилетел с работы, и не совсем пока привык к дому.
Comment 6 Andrey Bondrov 2016-03-18 16:23:16 MSK
Возможно, надо недостающую строку добавить в файл translation/extra.c
Comment 7 VictorR2007 2016-03-18 16:34:19 MSK
(In reply to comment #6)
> Возможно, надо недостающую строку добавить в файл translation/extra.c
Добавлял.
Но ещё посмотрю.
Вполне мог добавить, но забыть поменять потом исходники.
По любому, теперь сложно успокоиться.
Иногда проблема снится, и потом получается найти решение.
Раз образования не хватает, то надеюсь что решение приснится.))
Comment 8 Andrey Bondrov 2016-03-18 16:51:41 MSK
Может тогда имеет смысл выложить промежуточный вариант перевода, чтобы я тоже глянул, как эту недостающую строку исправить.

> По любому, теперь сложно успокоиться.
> Иногда проблема снится, и потом получается найти решение.

Знакомое дело :-)
Comment 9 VictorR2007 2016-03-18 17:45:32 MSK
Created attachment 4421 [details]
Дополненный файл

В низу списка строк добавлены строки,
не отображается только 
"Skip to"
Поиск по тексту в исходниках не находит этих строк.
Есть только в deadbeef-0.7.1/plugins/hotkeys/hotkeys.c,
но не в том виде, что нам необходимо.

msgid "Skip to"
msgstr "Перейти к"

msgid "Previous genre"
msgstr "Предыдущему жанру"

msgid "Previous composer"
msgstr "Предыдущему композитору"

msgid "Previous artist"
msgstr "Предыдущему исполнителю"

msgid "Previous album"
msgstr "Предыдущему альбому"

msgid "Next genre"
msgstr "Следующему жанру"

msgid "Next composer"
msgstr "Следующему композитору"

msgid "Next artist"
msgstr "Следующему исполнителю"

msgid "Next album"
msgstr "Следующему альбому"
Comment 10 Andrey Bondrov 2016-03-22 16:23:49 MSK
Отправил баг-репорт в апстрим: https://github.com/Alexey-Yakovenko/deadbeef/issues/1515
Comment 11 Andrey Bondrov 2016-03-24 19:46:19 MSK
Update translations ("Skip to" is still not translatable).

Advisory: "Update DeadBeef to new version 0.7.1"

Main:
https://abf.rosalinux.ru/build_lists/2628565
https://abf.rosalinux.ru/build_lists/2628566

Restricted:
https://abf.rosalinux.ru/build_lists/2628563
https://abf.rosalinux.ru/build_lists/2628564
Comment 12 Vladimir Potapov 2016-03-24 20:13:33 MSK
The update is sent to expanded testing
**************************************
Comment 13 Vladimir Potapov 2016-03-28 21:57:15 MSD
deadbeef-0.7.1-1
https://abf.rosalinux.ru/build_lists/2627806
https://abf.rosalinux.ru/build_lists/2627807

deadbeef-0.7.1-1plf
https://abf.rosalinux.ru/build_lists/2627808
https://abf.rosalinux.ru/build_lists/2627809
********************* Advisory **************************
Update DeadBeef to new version 0.7.1
*********************************************************
QA Verified
Comment 14 Vladimir Potapov 2016-03-30 15:27:49 MSD
Sorry, it's correct containers

deadbeef-0.7.1-2
https://abf.rosalinux.ru/build_lists/2628565
https://abf.rosalinux.ru/build_lists/2628566

deadbeef-0.7.1-2plf
https://abf.rosalinux.ru/build_lists/2628563
https://abf.rosalinux.ru/build_lists/2628564
********************* Advisory **************************
Update DeadBeef to new version 0.7.1
*********************************************************
QA Verified
Comment 15 Denis Silakov 2016-03-30 15:52:21 MSD
Published.